import { BitmapImage } from '../core/bitmap-image';
export declare class WorkerVideoReader {
    bitmap: ImageBitmap | null;
    isSought: boolean;
    isPlaying: boolean;
    private proxyId;
    private bitmapImage;
    constructor(proxyId: number);
    prepare(targetFrame: number, playbackRate: number): Promise<void>;
    getVideo(): BitmapImage;
    onDestroy(): void;
    play(): Promise<void>;
    pause(): void;
    stop(): void;
    getError(): Promise<any>;
}
